Register terminal application version beta

Register a new version of a terminal application. For Android applications, this is used to register a new version code of the application.

To access this endpoint using an access token you'll need to specify the /terminal-applications.write scope.

POST
/terminal-applications/{terminalApplicationID}/versions
cURL Go .NET Java Ruby TypeScript PHP Python
curl -X POST "https://api.moov.io/terminal-applications/{terminalApplicationID}/versions" \
  -H "Authorization: Bearer {token}" \
  --data-raw '{
    "version": "20440059"
  }'\
mc, _ := moov.NewClient()

var terminalApplicationID string
version := "20440059"

mc.CreateTerminalApplicationVersion(ctx, terminalApplicationID, version)
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(xMoovVersion: "<value>");

var res = await sdk.TerminalApplications.CreateVersionAsync(
    terminalApplicationID: "12345678-1234-1234-1234-123456789012",
    body: new TerminalApplicationVersion() {
        Version = "20440059",
    }
);

// handle response
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.components.TerminalApplicationVersion;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.errors.TerminalApplicationError;
import io.moov.sdk.models.operations.CreateTerminalApplicationVersionResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws GenericError, TerminalApplicationError, Exception {

        Moov sdk = Moov.builder()
                .xMoovVersion("v2024.01.00")
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

        CreateTerminalApplicationVersionResponse res = sdk.terminalApplications().createVersion()
                .terminalApplicationID("12345678-1234-1234-1234-123456789012")
                .terminalApplicationVersion(TerminalApplicationVersion.builder()
                    .version("20440059")
                    .build())
                .call();

        if (res.terminalApplicationVersion().isPresent()) {
            // handle response
        }
    }
}
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
      x_moov_version: 'v2024.01.00',
    )

res = s.terminal_applications.create_version(terminal_application_id: '12345678-1234-1234-1234-123456789012', terminal_application_version: Models::Components::TerminalApplicationVersion.new(
  version: '20440059',
))

unless res.terminal_application_version.nil?
  # handle response
end
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  xMoovVersion: "v2024.01.00",
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.terminalApplications.createVersion({
    terminalApplicationID: "12345678-1234-1234-1234-123456789012",
    terminalApplicationVersion: {
      version: "20440059",
    },
  });

  console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setXMoovVersion('v2024.01.00')
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$terminalApplicationVersion = new Components\TerminalApplicationVersion(
    version: '20440059',
);

$response = $sdk->terminalApplications->createVersion(
    terminalApplicationID: '12345678-1234-1234-1234-123456789012',
    terminalApplicationVersion: $terminalApplicationVersion

);

if ($response->terminalApplicationVersion !== null) {
    // handle response
}
from moovio_sdk import Moov
from moovio_sdk.models import components


with Moov(
    x_moov_version="v2024.01.00",
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

    res = moov.terminal_applications.create_version(terminal_application_id="12345678-1234-1234-1234-123456789012", version="20440059")

    # Handle response
    print(res)
200 400 401 403 404 409 422 429 500 504
The request completed successfully.
application/json
{
  "version": "20440059"
}

x-request-id

string required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
application/json
{
  "error": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
The request contained missing or expired authentication.

x-request-id

string required
A unique identifier used to trace requests.
The user is not authorized to make the request.

x-request-id

string required
A unique identifier used to trace requests.
The requested resource was not found.

x-request-id

string required
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
application/json
{
  "error": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
application/json
{
  "platform": "string",
  "appBundleID": "string",
  "packageName": "string",
  "sha256Digest": "string",
  "versionCode": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string

Specify an API version.

API versioning follows the format vYYYY.QQ.BB, where

  • YYYY is the year
  • QQ is the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)
  • BB is the build number, starting at .01, for subsequent builds in the same quarter.
    • For example, v2024.01.00 is the initial release of the first quarter of 2024.

The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release. When no version is specified, the API defaults to v2024.01.00.

Path parameters

terminalApplicationID

string required

Body

application/json
Describes a terminal application version.

version

string required
The app version of the terminal application (version code for Android terminal application).

Response

application/json
Describes a terminal application version.

version

string required
The app version of the terminal application (version code for Android terminal application).